%define release_name libnetdevname

# opensuse naming comvintion: http://en.opensuse.org/Shared_Library_Packaging_Policy 
%if 0%{?suse_version} >= 1100
%define release_name libnetdevname0
%endif

Name: %{release_name}
Version: 0.0.3
Release: 1
Summary: A library that provides network name mappings
License: MIT
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://linux.dell.com/netdevname/download/netdevname/libnetdevname-%{version}/libnetdevname-%{version}.tar.bz2
URL: http://linux.dell.com/netdevname
Provides: %{release_name} = %{version}-%{release}
Obsoletes: %{release_name} <= %{version}-%{release}
BuildRequires: gcc libgcc
%if 0%{?suse_version} >= 1100
    # in sles 11 self-provides are done automatically
    %undefine Provides
%endif

%description
This library provides interface for mapping network path names
to kernel names

%package devel
Summary: Development environment for libnetdevname
Group: Development/Libraries
Requires: %{release_name} = %version-%release glibc-devel
Provides: %{release_name}-devel = %{version}-%{release}
Obsoletes: %{release_name}-devel <= %{version}-%{release}
%if 0%{?suse_version} >= 1100
    # in sles 11 self-provides are done automatically
    %undefine Provides
%endif

%description devel
This package contains development files required to build
libnetdevname-based software.

%prep
%setup -q -n libnetdevname-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="%{__install} -p"

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%_libdir/*.so.*
%doc README LICENSE ChangeLog NEWS

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*

%changelog
* Fri Oct 9 2009 Narendra K <narendra_k at dell.com> - 0.0.3
-Modified the DEV_PREFIX to /dev/netdev/ from /dev/net/

* Fri Sep 25 2009 Narendra K <narendra_k@dell.com> 0.0.3
-More changes to the netdev_pathname_to_name function
-Added show_pathname_usage function

* Fri Sep 25 2009 Narendra K <narendra_k@dell.com> 0.0.3
-API changes
-Handling /dev/net/tun

* Thu Sep 17 2009 Sandeep K Shandilya <sandeep_k_shandilya@dell.com> 0.0.2
-The absence of the map file broke the build. Adding it.

* Wed Sep 16 2009 Sandeep K Shandilya <sandeep_k_shandilya@dell.com> 0.0.2
-fix argv overflow when over-writing with the mapped interface name

* Wed Sep 16 2009 Sandeep K Shandilya <sandeep_k_shandilya@dell.com> 0.0.2
-Adding README content

* Mon Sep 7 2009 Narendra K <narendra_k@dell.com> 0.0.2
- Initial RPM Release





